Skip to main content
POST
/
v1
/
portfolios
/
{portfolio_id}
/
rfq
Create Quote Request
curl --request POST \
  --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/rfq \
  --header 'Content-Type: application/json' \
  --data '
{
  "product_id": "<string>",
  "side": "BUY",
  "client_quote_id": "f69a20b1-4ac4-420e-90b5-814a12565bfa",
  "limit_price": "<string>",
  "base_quantity": "<string>",
  "quote_value": "<string>",
  "settl_currency": "<string>",
  "quote_duration_ms": "5000"
}
'
{
  "quote_id": "<string>",
  "expiration_time": "2023-11-07T05:31:56Z",
  "best_price": "<string>",
  "order_total": "<string>",
  "price_inclusive_of_fees": "<string>",
  "quote_duration_ms": "5000"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

portfolio_id
string
required

The ID of the portfolio that owns the order

Body

application/json

based off PostOrderPreviewRequest

product_id
string
required
side
enum<string>
required
  • UNKNOWN_ORDER_SIDE: nil value
  • BUY: Buy order
  • SELL: Sell order
Available options:
BUY,
SELL
client_quote_id
string
required

A client-generated order ID used for reference purposes (note: order will be rejected if this ID is not unique among all currently active orders)

Example:

"f69a20b1-4ac4-420e-90b5-814a12565bfa"

limit_price
string
required
base_quantity
string
quote_value
string
settl_currency
string
quote_duration_ms
string<int64>

Optional quote timeout in milliseconds. Defaults to 3000 ms (3 seconds) if not specified. Maximum allowed value is 30000 ms (30 seconds); requests with a larger value are rejected. Mirrors FIX tag 8090 (QuoteRequestGoodForMs).

Example:

"5000"

Response

200 - application/json

A successful response.

quote_id
string
expiration_time
string<date-time>
best_price
string
order_total
string
price_inclusive_of_fees
string
quote_duration_ms
string<int64>

Echo of the quote_duration_ms supplied in the request. 0 if the client did not supply a value, in which case the server applies the default of 3000 ms (3 seconds).

Example:

"5000"